#ifndef _LCD_H
  #define _LCD_H

  extern void LCD_Init(unsigned char DisplayType); // 0 = 4 lines & 40 characters, 1 = 4 lines & 20 characters, 2 = 2 lines & 24 characters, 3 = 4 lines & 20 characters (KS0073 controler), 4 = 2 lines & 16 characters
  extern void LCD_WriteInstr(unsigned char LCD_Controller, unsigned char Instr);
  extern void LCD_Clear(void);
  extern void LCD_Control(unsigned char LCD_Controller, unsigned char disp_on, unsigned char cursor_on, unsigned char blink);
  extern char LCD_SetCursor(unsigned char line, unsigned char index);
  extern void LCD_WriteChar(unsigned char LCD_Controller, unsigned char Data);
  extern void LCD_WriteStr(unsigned char line, unsigned char index, const unsigned char *str);
  extern void LCD_WriteInt(unsigned char line, unsigned char index, int zahl);
  extern void LCD_ClearLine(unsigned char line);
  
#endif
